<!--#include file="settings.asp"-->
<!--#include file="../verifyStores.asp"-->
<!--#include file="subs/designSettings.asp"-->
<!--#include file="design/start.asp"-->
<!--#include file="subs/utilFunctions.asp"-->

<!--#include file="subs/permissions.asp"-->
<!--#include file="language/language.asp"-->

<%
'---------------------------------------------------------------------
' designSettings.asp : startWindow, endWindow functions
' utilFunctions.asp : currencyFormat function
'---------------------------------------------------------------------

'---------------------------------------------------------------------
if session("goLogin")<>"no" then
	set storeConn = nothing
	response.redirect "default.asp"
end if
'---------------------------------------------------------------------
call taxPermissions()
if TAX_MODULE = MODULE_NOT_AVAILABLE then
	set storeConn = nothing
	session("errMessage") = You_have_no_permission_to_use_this_module_CONST
	response.redirect "error.asp"
end if
'---------------------------------------------------------------------

dim storeRS, storeRSSec, sqlString
dim taxID

call startWindow ("Taxes list","100%", true)
	
set storeRS = Server.CreateObject("ADODB.Recordset")
set storeRSSec = Server.CreateObject("ADODB.Recordset")

if not unlimitedStores then
	sqlString = "select count(storeID) as numberStores from storeSettings"
	storeRS.open sqlString, storeConn, 1, 1
	if cint(storeRS("numberStores")) > cint(numberStores) then
		set storeConn = nothing
		set storeRS = nothing
		set storeRSSec = nothing
		session("errMessage") = "You are not permitted to create more then "&numberStores&" stores !"
		response.redirect "error.asp"
	end if
	storeRS.close
end if
	
sqlString = "select taxID, taxName, country, region, category, tax from storeTaxes where storeID="&storeID
storeRS.open sqlString, storeConn, 1, 1
%>	

<script language="JavaScript">
function deleteTax(taxID) {
	if (confirm("Do you want to delete this tax ?"))
		document.location = "taxAction.asp?taxID="+taxID;
}
</script>

<form method="post" name="taxList" action="taxList.asp">
<table border ="0" width="650" cellspacing="1" cellpadding="3">
<% call saveChanges (0)
if storeRS.eof then %>
	<tr>
		<td><div id="normalText"><b>There are no taxes defined!</b></div></td>
	</tr>
<% else %>
	<tr>
		<td>
			<table class="bor1" border="0" width="1%" cellspacing="0" cellpadding="3">
        	<tr class="cell1"> 
            	<td width="1%" nowrap><div id="normalText"><b>&nbsp;Method name&nbsp;</b></div></td>
	            <td width="1%" nowrap><div id="normalText"><b>&nbsp;Countries list&nbsp;</b></div></td>
    	        <td width="1%" nowrap><div id="normalText"><b>&nbsp;Regions list&nbsp;</b></div></td>
        	    <td width="1%" nowrap><div id="normalText"><b>&nbsp;Categories list&nbsp;</b></div></td>
            	<td width="1%" nowrap><div id="normalText"><b>&nbsp;Tax value&nbsp;</b></div></td>
	            <td width="1%" nowrap><div id="normalText"></div></td>
    	      </tr>
        	  <%
			dim temp, classColor
			temp = 0
			do while not storeRS.eof 
				temp = temp + 1
				if temp mod 2 = 1 then 
					classColor = "class=c1"
				else
					classColor = "class=c2"
				end if %>
    	      <tr <%= classColor %>> 
        	  	<td width="1%" nowrap><a href="taxAddEdit.asp?modeInput=edit&taxID=<%= storeRS("taxID") %>"><%= storeRS("taxName") %></a></td>
            	<td width="1%" nowrap><select class="s1" name="country">
                <% if storeRS("country")="all" then	%>
   	            	<option value="all">All Countries</option>
       	        <%  else
					sqlString = "select countryID, country from systemCountries"
					storeRSSec.open sqlString, storeConn, 1, 1
					do while not storeRSSec.eof
						if instr(" "&storeRS("country")&","," "&storeRSSec("countryID")&",")>0 then %>
	            		    <option value="<%= storeRSSec("countryID") %>"><%= storeRSSec("country") %></option>
	    	            <% end if
						storeRSSec.movenext
					loop
					storeRSSec.close
				end if %>
                </select></td>
        	    <td width="1%" nowrap><select class="s1" name="region">
            	    <% if storeRS("region")="all" then	%>
                	<option value="all">All Regions</option>
	                <%  elseif storeRS("region")="noTaxes" then %>
    	            <option value="noTaxes">No Taxes</option>
        	        <% else
						sqlString = " select regionID, region from systemRegions where storeID = "&storeID
						storeRSSec.open sqlString,storeConn,1,1
						do while not storeRSSec.eof
							if instr(" "&storeRS("region")&","," "&storeRSSec("regionID")&",")>0 then %>
			        	        <option value="<%= storeRSSec("regionID") %>"><%= storeRSSec("region") %></option>
            		    	<% end if
							storeRSSec.movenext
						loop
						storeRSSec.close
					end if %>
	            </select></td>
            	<td width="1%" nowrap><select class="s1" name="category">
                <% if storeRS("category")="all" then	%>
                	<option value="all">All Categories</option>
                <% else
					sqlString = " select categoryID,categoryName from storeCategories where storeID="&storeID
					storeRSSec.open sqlString,storeConn,1,1
					do while not storeRSSec.eof
						if instr(" "&storeRS("category")&","," "&storeRSSec("categoryID")&",")>0 then %>
                			<option value="<%= storeRSSec("categoryID") %>"><%= storeRSSec("categoryName") %></option>
		                <% end if
						storeRSSec.movenext
					loop
					storeRSSec.close
				end if %>
        	      </select></td>
            	<td width="1%" nowrap><div id="normalText"><%= formatNumber(cdbl(storeRS("tax")),2) %> %</div></td>
	            <td width="1%" nowrap> <a href="JavaScript:deleteTax(<%= storeRS("taxID") %>)">Delete</a></td>
          	</tr>
	        <% storeRS.movenext
		loop %>
        </table>
		</td>
	</tr>
<% end if 
storeRS.close %>
<tr>
	<td><br></td>
</tr>
<tr>
	<td><input type="button" class="b1" value="Add new tax" onClick="javascript:document.location='taxAddEdit.asp?modeInput=add';"></td>
</tr>
</table>
</form>
<% call endWindow() %>
<!--#include file="design/end.asp"-->
<% 
set storeRS = nothing
set storeRSSec = nothing
set storeConn = nothing %>