<%

'----------------------------------------------------------------------------

function checkIfNumber(theNumber)
	dim theValue
	on error resume next
	theValue = cdbl(theNumber)
	if err <> 0 then
		checkIfNumber = false
	else
		checkIfNumber = true
	end if
end function

function getNumber(theNumber, theResult)

	if checkIfNumber(theNumber) then
		theResult = cdbl(theNumber)
		getNumber = true
		exit function
	end if
	getNumber = false
end function

'----------------------------------------------------------------------------
function checkHTMLString(theHTML)
	dim theResult

	theResult = theHTML
	if isNull(theResult) then
		theResult = ""
	else
		theResult = replace(theResult,"'","''")
	end if
	checkHTMLString = theResult
	
end function

'----------------------------------------------------------------------------
function returnCategoryTree(parentCategory)

	dim storeLocal, sqlString
	dim totalCategories, currentCategory, currentParrent
	dim categoriesNames()
	dim categoriesIDs()
	dim i, returnCategory
	
	totalCategories = 0

 	Set storeLocal = Server.CreateObject("ADODB.Recordset")	
	currentCategory = parentCategory
	sqlString = "select parentCategory, categoryName, categoryID from storeCategories where storeID="&storeID&" and categoryID="&parentCategory
	storeLocal.open sqlString, storeConn, 1, 1
	currentParrent = storeLocal("parentCategory")
	totalCategories = totalCategories + 1
	redim preserve categoriesNames(totalCategories - 1)
	redim preserve categoriesIDs(totalCategories - 1)
	categoriesNames(totalCategories - 1) = storeLocal("categoryName")
	categoriesIDs(totalCategories - 1) = storeLocal("categoryID")
	storeLocal.close
	
	do while currentParrent<>0
		sqlString = "select categoryName, categoryID, parentCategory from storeCategories where storeID="&storeID&" and categoryID="&currentParrent
		storeLocal.open sqlString, storeConn, 1, 1
		currentParrent = storeLocal("parentCategory")
		totalCategories = totalCategories + 1
		redim preserve categoriesNames(totalCategories - 1)
		redim preserve categoriesIDs(totalCategories - 1)
		categoriesNames(totalCategories - 1) = storeLocal("categoryName")
		categoriesIDs(totalCategories - 1) = storeLocal("categoryID")
		storeLocal.close
	loop 
	set storeLocal = nothing
	returnCategory = ""
	for i = totalCategories - 2 to 0 step -1 
		if returnCategory = "" then
			returnCategory = categoriesNames(i)
		else
			returnCategory = returnCategory&" -> "&categoriesNames(i)
		end if
	next 
	returnCategoryTree = returnCategory
end function

' this function will be display a select control with all subcategories from a category input
sub displayCategoriesList(categoryName, eventFunction, categorySelected, isMultiple) 

	dim storeLocal, storeLocal2, sqlString
	dim whoIsSelected
	dim categoryString
	
	Set storeLocal = Server.CreateObject("ADODB.Recordset")
	Set storeLocal2 = Server.CreateObject("ADODB.Recordset")
	if isMultiple then %>
		<select name = "<%= categoryName %>" <%=eventFunction %> multiple class="s1" size="10">
		<option value = "-1"
		<% if instr(categorySelected,"-1")>0 then %>
			selected
		<% end if %>
		>All Categories</option>
	<% else %>
		<select name = "<%= CategoryName %>" <%=eventFunction %>  class="s1" size="10">
	<% end if %>
	<option value = "-2"
	<% if instr(categorySelected,"-2")>0 then %>
		selected
	<% end if %>
		>Unassigned</option>
	<% sqlString = " select * from storeCategories where storeID = "&storeID&" and parentCategory<>0"
	storeLocal.open sqlString, storeConn, 1, 1
	do while not storeLocal.eof
		sqlString = "select * from storeCategories where storeID ="&storeID&" and parentCategory = "&storeLocal("categoryID")
		storeLocal2.open sqlString, storeConn, 1, 1
		whoIsSelected = ""
		if storeLocal2.eof then
			categoryString = returnCategoryTree(storeLocal("categoryID"))
			if instr(" "&categorySelected&", " ,storeLocal("categoryID")&", ")>0 then
				if categorySelected<>"-2" and categorySelected<>"-1" then
					whoIsSelected = "selected"
				end if
			end if %>
			<option value ="<%= storeLocal("categoryID") %>"<%= whoIsSelected %>><%= categoryString %></option>
		<% end if
		storeLocal2.close
		storeLocal.movenext
	loop
	storeLocal.close
	
	set storeLocal = nothing
	set storeLocal2 = nothing %>
	</select>
<% end sub

'--------------------------------------------------------------------------------------------------------
sub displayCountryList(selectName, whoISSelected)

	dim selectedAll, selectedValues
	dim storeLocal, sqlString

	if whoISSelected="all" then
		selectedAll="selected"
	else
		selectedAll=""
	end if %>
	<select class="s1" name = "<%= selectName %>" multiple>
		<option value = "all" <%= selectedAll %>>All Countries</option>
		<% Set storeLocal = Server.CreateObject("ADODB.Recordset")
		sqlString = "select countryID,country from systemCountries"
		storeLocal.open sqlString, storeConn, 1, 1
		do while not storeLocal.eof
			if instr(" "&whoISSelected&","," "&storeLocal("countryID")&",")>0 then
				selectedValues="selected"
			else
				selectedValues=""
			end if %>
			<option value ="<%= storeLocal("countryID") %>"<%= selectedValues %>><%= storeLocal("country") %></option>
		<% storeLocal.movenext
		loop
		storeLocal.close
		set storeLocal=nothing %>
	</select>
<% end sub

'--------------------------------------------------------------------------------------------------------
sub displayRegionCityList(selectName, whoISSelected, whoCall)

	'whoCall="0" - regions
	'whoCall="1" - cities
	
	dim storeLocal, sqlString
	dim selectedAll, selectedNoShipping
	dim textAll, textShipping
	dim selectedValues

	if whoISSelected="all" then
		selectedAll="selected"
		selectedNoShipping=""
	elseif whoISSelected="noShipping" then
		selectedAll=""
		selectedNoShipping="selected"
	else
		selectedAll=""
		selectedNoShipping=""
	end if 
	if whoCall="0" then
		textAll="All regions"
		textShipping="No shipping from regions"
	end if %>
	<select class="s1" name = "<%= selectName %>" multiple>
		<option value = "all" <%= selectedAll %>><%= textAll %></option>
		<option value = "noShipping" <%= selectedNoShipping %>>No shipping</option>
		<% Set storeLocal = Server.CreateObject("ADODB.Recordset")
		if whoCall="0" then 'regions
			sqlString = " select regionID, region from systemRegions where storeID = "&storeID
			storeLocal.open sqlString, storeConn, 1, 1
			do while not storeLocal.eof
				if instr(" "&whoISSelected&","," "&storeLocal("regionID")&",")>0 then
					selectedValues="selected"
				else
					selectedValues=""
				end if %>
				<option value ="<%= storeLocal("regionID") %>"<%= selectedValues %>><%= storeLocal("region") %></option>
			<% storeLocal.movenext
			loop
			storeLocal.close
		end if
		set storeLocal=nothing %>
	</select>
<% end sub

'----------------------------------------------------------------------------
'-------------The following subs are using for taxes--------------------
sub displayRegionTaxes(selectName, whoISSelected)
	
	dim selectedAll,selectedNoTaxes, selectedValues
	dim storeLocal, sqlString

	if whoISSelected="all" then
		selectedAll="selected"
		selectedNoTaxes=""
	elseif whoISSelected="noTaxes" then
		selectedAll=""
		selectedNoTaxes="selected"
	else
		selectedAll=""
		selectedNoTaxes=""
	end if %>
	<select class="s1" name = "<%= selectName %>" multiple>
		<option value = "all" <%= selectedAll %>>All regions</option>
		<option value = "noTaxes" <%= selectedNoTaxes %>>No taxes from regions</option>
		<% Set storeLocal = Server.CreateObject("ADODB.Recordset")
			sqlString = " select regionID, region from systemRegions where storeID = "&storeID
			storeLocal.open sqlString, storeConn, 1, 1
			do while not storeLocal.eof
				if instr(" "&whoISSelected&","," "&storeLocal("regionID")&",")>0 then
					selectedValues="selected"
				else
					selectedValues=""
				end if %>
				<option value ="<%= storeLocal("regionID") %>"<%= selectedValues %>><%= storeLocal("region") %></option>
			<% storeLocal.movenext
			loop
		storeLocal.close
		set storeLocal=nothing %>
	</select>
<% end sub
'----------------------------------------------------------------------------

sub displayCategoriesTaxes(categoryName, categorySelected) 

	dim storeLocal, storeLocal2, sqlString
	dim selectedAll, selectedValue

	Set storeLocal = Server.CreateObject("ADODB.Recordset")
	Set storeLocal2 = Server.CreateObject("ADODB.Recordset")
	if categorySelected="all" then
		selectedAll="selected"
	else
		selectedAll=""
	end if %>
	<select name = "<%= categoryName %>" multiple class="s1">
		<option value = "all" <%= selectedAll %>>All categories</option>
		<% sqlString = " select * from storeCategories where storeID = "&storeID&" and parentCategory<>0"
		storeLocal.open sqlString, storeConn, 1, 1
		do while not storeLocal.eof
			sqlString = "select * from storeCategories where storeID ="&storeID&" and parentCategory = "&storeLocal("categoryID")
			storeLocal2.open sqlString, storeConn, 1, 1
			selectedValue = ""
			if storeLocal2.eof then
				if instr(" "&categorySelected&",",storeLocal("categoryID")&",")>0 then
					selectedValue="selected"
				else
					selectedValue=""
				end if %>
				<option value ="<%= storeLocal("categoryID") %>"<%= selectedValue %>><%= storeLocal("categoryName") %></option>
			<% end if
			storeLocal2.close
			storeLocal.movenext
		loop %>
	</select>
	<% storeLocal.close
	set storeLocal=nothing	
	set storeLocal2=nothing	
end sub
'----------------------------------------------------------------------------

' FORMAT A DATE TO US FORMAT
function getUSDate(theDate,shortDate)

	dim  sTime
	
	on error resume next
	sTime = ""
	If (Month(theDate) < 10) Then
		sTime = sTime & 0 & Month(theDate)
	Else
		sTime = sTime & Month(theDate)
	End If
	sTime = sTime & "/"
	If (Day(theDate) < 10) Then
		sTime = sTime & 0 & Day(theDate)
	Else
		sTime = sTime & Day(theDate)
	End If
	if shortDate=true then
		sTime = sTime & "/" & Year(theDate)
	else
		sTime = sTime & "/" & Year(theDate) & " "
	end if
	if shortDate=true then
		getUSDate = sTime
		exit function
	end if		

	If (Hour(theDate) < 10) Then
		sTime = sTime & 0 & Hour(theDate)
	Else
		sTime = sTime & Hour(theDate)
	End If
	sTime = sTime & ":"

	If (Minute(theDate) < 10) Then
		sTime = sTime & 0 & Minute(theDate)
	Else
		sTime = sTime & Minute(theDate)
	End If
	sTime = sTime & ":"

	If (Second(theDate) < 10) Then
		sTime = sTime & 0 & Second(theDate)
	Else
		sTime = sTime & Second(theDate)
	End If

	getUSDate = sTime

End Function

'----------------------------------------------------------------------------
' FORMAT A DATE TO MySql format : YYYY-MM-DD
function getMySqlDate(theDate)
	'getMySqlDate = year(theDate)&"-"&month(theDate)&"-"&day(theDate)&" "&hour(now)&":"&minute(now)&":"&second(now)
	getMySqlDate = year(theDate)&"-"&month(theDate)&"-"&day(theDate)&" "&hour(theDate)&":"&minute(theDate)&":"&second(theDate)
end function

'----------------------------------------------------------------------------
'This function will transform a number in a string like : $ number
function currencyFormat(theNumber)

	if IsNull(theNumber) then
		theNumber = 0
	end if
	if storeCurrencySimbol = "" then
		currencyFormat = theNumber
	else 
		currencyFormat = storeCurrencySimbol&" "&theNumber
	end if
end function

'---------------------------------------------------------------------------
'this function will check if the image name exist in storeImages table
sub checkTheImage(imageID,imageName)
	
	dim storeLocal, sqlString

	if imageName = "" then
		imageID = 0
	else
		if imageID = "" or imageID = "0" then
			sqlString = "select imageID from storeImages where storeID="&storeID&" and imageFileName='"&imageName&"'"
			Set storeLocal = Server.CreateObject("ADODB.Recordset")
			storeLocal.open sqlString, storeConn, 1, 1
			if storeLocal.eof then
				storeLocal.close
				set storeLocal=nothing
				session("errMessage") = "The image doesn't exist in the database !"
				response.redirect "error.asp"
			else
				imageID=storeLocal("imageID")
			end if
			storeLocal.close
			set storeLocal=nothing
		end if
	end if
end sub
'---------------------------------------------------------------------------

Sub sendMail(sendFrom, sendTo, subject, body)
	dim storeLocal, sqlString
	dim emailObject
	dim typeEmail, smtpAdress, port
	
	Set storeLocal = Server.CreateObject("ADODB.Recordset")	
	sqlString = "select typeEmail, smtpAdress, port from storeEmails where storeID = "&storeID
	storeLocal.open sqlString, storeConn, 1, 1
	typeEmail = storeLocal("typeEmail")
	if typeEmail = 1 then
		smtpAdress = storeLocal("smtpAdress")
		port = storeLocal("port")
	end if
	storeLocal.close
	set storeLocal = nothing
	
	' ------------------------- Use CDONTS -----------------------------------
	if typeEmail = 0 then 
		set emailObject = CreateObject("CDONTS.NewMail")
		emailObject.from = sendFrom
		emailObject.to = sendTo
		emailObject.subject = subject
		emailObject.body = body
		on error resume next
		emailObject.send 
		if Err <> 0 Then 
		    Response.Write "An error occurred: " & Err.Description 
		end If				
		set emailObject = nothing
	end if
	' ------------------------- Use ASP Email -----------------------------------
	if typeEmail = 1 then
		set emailObject = Server.CreateObject("Persits.MailSender")
		emailObject.Host = smtpAdress
		emailObject.Port = port
		emailObject.from = sendFrom
		emailObject.AddAddress sendTo
		emailObject.Subject = subject
		emailObject.Body = body
		on error resume next
		emailObject.send 
		if Err <> 0 Then 
		    Response.Write "An error occurred: " & Err.Description 
		end If		
		set emailObject = nothing
	end if
end sub 
'----------------------------------------------------------------------------

function buyForFree(productID, quantity)
	dim storeLocal, sqlString
	dim theValue
	dim quantityBuy, quantityFree

	Set storeLocal = Server.CreateObject("ADODB.Recordset")
	sqlString = "select useBuyFree, quantityBuy, quantityFree from storeProducts where storeID = "&storeID&" and productID = "&productID
	storeLocal.open sqlString, storeConn, 1, 1
	if storeLocal("useBuyFree") = 0 then
		theValue = -1
	else
		quantityBuy = cdbl(storeLocal("quantityBuy"))
		quantityFree = cdbl(storeLocal("quantityFree"))
		if quantity < quantityBuy then
			theValue = -1
		else
			theValue = int(quantity/quantityBuy)*quantityFree
		end if
	end if
	storeLocal.close
	set storeLocal = nothing
	buyForFree = theValue
end function
'----------------------------------------------------------------------------

function getDecimalChar
' return the decimal char according to locales

dim theValue
theValue = cstr(1/2)
getDecimalChar = mid(theValue, 2, 1)

end function
'----------------------------------------------------------------------------

sub switchDesign(designMode, redirectPage)

	dim storeRS, sqlString
	set storeRS = Server.CreateObject("ADODB.Recordset")
	if designMode = 0 then
		sqlString = "select designMode from storeDesignSwitch where storeID = "&storeID&" and designMode = 0"
	else
		sqlString = "select designMode from storeDesignSwitch where storeID = "&storeID&" and designMode <> 0"
	end if
	storeRS.open sqlString, storeConn, 1, 1
	if storeRS.eof then
		storeRS.close
		set storeRS = nothing
		set storeConn = nothing
		session("urlDesign") = redirectPage
		response.redirect "designSwitch.asp"
	end if
	storeRS.close
	set storeRS = nothing
	
end sub
'----------------------------------------------------------------------------
%>
