<%
'-------------------------------------------------------------
dim noOfSeries
dim noOfValues
dim theValues()
dim valueLabels()
dim valueLabel
dim serNames()
dim serColors()
'-------------------------------------------------------------
sub setupNumberOfSeries(theNoOfSeries, theNoOfValues)
	dim i
	dim j

	noOfSeries = theNoOfSeries
	noOfValues = theNoOfValues
	redim theValues(noOfSeries-1, noOfValues-1)
	redim valueLabels(noOfValues-1)
	
	for i=0 to noOfSeries-1
		for j=0 to noOfValues-1
			theValues(i, j) = 0
		next
	next
	
	redim serNames(noOfSeries-1)
	redim serColors(noOfSeries-1)
end sub
'-------------------------------------------------------------
sub setupLabel(sNo, theLabel)
	valueLabels(sNo-1) = theLabel
end sub
'-------------------------------------------------------------
sub setupValue(sNo, vNo, theVal)
	theValues(sNo-1, vNo-1) = theVal
end sub
'-------------------------------------------------------------
sub setupValueLabel(theLabel)
	valueLabel = theLabel
end sub
'-------------------------------------------------------------
sub setupSeriesNameAndColor(theSer, theName, theColor)
	serNames(theSer-1) = theName
	serColors(theSer-1) = theColor
end sub
'-------------------------------------------------------------
sub plotGraph(col1Width, col2Width, col3Width)
	dim i
	dim j
	dim valueMax
	dim temp
 
   temp=false
	valueMax = 0
	for i=0 to noOfSeries-1
		for j=0 to noOfValues-1
			if theValues(i,j)>valueMax then valueMax = theValues(i,j)
		next
		if valueMax=0 then valueMax = 1
	next
	%><table width="<%= col1Width + col2Width + col3Width %>" border="0" height="0" cellspacing="0" cellpadding="0"  ><%
	for i=1 to noOfValues
		%>

		<tr 
			<%if temp=false then %>
                 bgcolor="#E2F0F6"
				<%end if
				temp=Not temp
				%>
                height="0" >

			<td width="<%= col1Width %>"><div id="graphSer"><%= valueLabels(i-1) %></div></td>
			<td width="<%= col2Width + col3Width %>">
								
				<table width="<%= col2Width + col3Width %>" border="0" cellspacing="0" cellpadding="0">
						<% for j=1 to noOfSeries %>
						<tr height="9">
							<td width="<%= col2Width %>">
								<table height="8" width="<%= cint(col2Width*theValues(j-1, i-1)/valueMax) %>" background="design/images/graph/<%= serColors(j-1) %>.gif" cellspacing="0" border="0" cellpadding="0">
									<tr><td><img src="spacer.gif" height="8" width="<%= cint(col2Width*theValues(j-1, i-1)/valueMax) %>"></td></tr>
								</table>
							</td>
							<td width="<%= col3Width %>" align="right"><div id="graphValue"><%= theValues(j-1, i-1) %>&nbsp;<%= valueLabel %></div></td>
						</tr>
					<% next %>
				</table>
			</td>
		</tr>
     
	 <tr height="5">
      <td><img src="spacer.gif" height="5"></td>
	  <td><img src="spacer.gif" height="5"></td>
	 </tr>

		<%
	next
	%>
	<tr>
		<td colspan="2" align="right">
			<table border="0" width="0" height="0" bgColor="#FFF9DB">
				<tr>
					<td>&nbsp;</td>
					<td>
						<table>
							<% for i=1 to noOfSeries %>
								<tr>
									<td nowrap><div id="graphLegendVal"><%= serNames(i-1) %></div></td>
									<td>
										<table width="50" height="8" background="design/images/graph/<%= serColors(i-1) %>.gif" cellspacing="0" cellpadding="0">
											<tr><td><img src="spacer.gif" width="50" height="8"></td></tr>
										</table>
									</td>
								</tr>
							<% next %>
						</table>
					</td>
				</tr>
			</table>
		</td>
	</tr>
	<%
	%></table><%
end sub
'-------------------------------------------------------------
%>